API referenceConversations
Add an internal note
POST
Visible to the team only, never to the customer.
ApiKeyheader
AuthorizationBearer <token>An API key from Developers → API keys: Authorization: Bearer gauge_live_… (or pulse_k_live_…).
id*stringThe conversation id.
Format
uuidGauge-Version?stringA dated version. Default 2026-10-21.
Idempotency-Key*stringRequired on every POST. Retries with the same key replay the first response for 24 h.
Length
1 <= length <= 255application/json- body
body*stringLength
1 <= length <= 8192messageId?stringFormat
uuidThe note.
application/json- response
id*stringFormat
uuidconversationId*stringFormat
uuidauthorMemberId*|Format
uuidmessageId*|Format
uuidbody*stringcreatedAt*stringcurl -X POST 'https://app.gauge.chat/api/v2/conversations/497f6eca-6276-4993-bfeb-53cbbbba6f08/notes' \ -H 'Idempotency-Key: string' \ -H 'Content-Type: application/json' \ -d '{ "body": "string"}'Example Response
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "conversationId": "ee6e55e8-45fe-4a3e-9bc8-4669f9fdf77a", "authorMemberId": "76fc4ed4-930e-473e-a8fc-09f425f86e65", "messageId": "8540d774-4863-4d2b-b788-4ecb19412e85", "body": "string", "createdAt": "string"}